> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/devices/sync-device-serialnumbers-to-entraid_scheduled.md).

# デバイスのシリアル番号を Entra ID に同期 - 定期実行

{% hint style="info" %}
これはスケジュール実行の runbook です。単一のオブジェクトでトリガーされるのではなく、繰り返しのスケジュールで実行されるように設計されています。参照してください [スケジュール設定](/ja/zi-dong-hua/runbooks/scheduling.md) runbook のスケジュールを構成する方法の詳細について。
{% endhint %}

### 説明

この runbook は Intune 管理デバイスを取得し、それらのシリアル番号を Entra ID のデバイス拡張属性に同期します。すべてのデバイスを処理することも、値が欠落または不一致のデバイスのみを処理することもでき、必要に応じてメール レポートを送信できます。

### 場所

組織 → デバイス → デバイスのシリアル番号を Entra ID に同期（スケジュール済み）

**Runbook の完全名**

rjgit-org\_devices\_sync-device-serialnumbers-to-entraid\_scheduled

### 詳細

| プロパティ    | 値                                  |
| -------- | ---------------------------------- |
| バージョン    | 1.0.1                              |
| 必要なモジュール | RealmJoin.RunbookHelper (>= 0.8.9) |
| スケジュール可能 | はい                                 |

### アクセス許可

#### アプリケーションのアクセス許可

* **種類**：Microsoft Graph
  * Organization.Read.All
    * *メール レポートで Tenant の表示名を取得するために /organization を読み取ります*
  * Device.ReadWrite.All
    * *Entra ID デバイスを一覧表示し、Intune のシリアル番号で extensionAttributes を更新します*
  * DeviceManagementManagedDevices.Read.All
    * *serialNumber と azureADDeviceId を取得するために Intune 管理デバイスを読み取ります*
  * Mail.Send *（任意 — 機能: メールレポート）*
    * *sendReportTo が設定されている場合、/users/{sendReportFrom}/sendMail 経由で HTML 同期レポートを送信します*

### パラメーター

#### ExtensionAttributeNumber

更新する拡張属性番号

| プロパティ | 値     |
| ----- | ----- |
| 必須    | いいえ   |
| 既定値   | 1     |
| 種類    | Int32 |

#### ProcessAllDevices

true に設定するとすべてのデバイスを処理します。そうでない場合は、値が欠落または不一致のデバイスのみが処理されます。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | いいえ   |
| 既定値   | False |
| 種類    | ブール値  |

#### MaxDevicesToProcess

1 回の実行で処理するデバイスの最大数。無制限にするには 0 を使用します。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | いいえ   |
| 既定値   | 0     |
| 種類    | Int32 |

#### sendReportTo

レポートの送信先メール アドレス。空白の場合、メールは送信されません。

| プロパティ | 値   |
| ----- | --- |
| 必須    | いいえ |
| 既定値   |     |
| 種類    | 文字列 |

#### sendReportFrom

レポートの送信元メール アドレス。

| プロパティ | 値                         |
| ----- | ------------------------- |
| 必須    | いいえ                       |
| 既定値   | <runbook@glueckkanja.com> |
| 種類    | 文字列                       |

[Runbook Reference の概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/devices/sync-device-serialnumbers-to-entraid_scheduled.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
